-- Setting up model container
mount_vfs_model_path(current_mod_path .. "/SpitfireLFMkIX/Shapes")
mount_vfs_texture_path(current_mod_path .. "/SpitfireLFMkIX/Textures/SpitfireIXc")
mount_vfs_liveries_path (current_mod_path.."/SpitfireLFMkIX/Liveries")
-- end of Setting up model container



local WOLALIGHT_STROBES         = 1
local WOLALIGHT_SPOTS           = 2
local WOLALIGHT_NAVLIGHTS       = 3
local WOLALIGHT_FORMATION_LIGHTS= 4
local WOLALIGHT_TIPS_LIGHTS     = 5



-- Declaring aircraft
SpitfireLFMkIX = {

    Name                = 'SpitfireLFMkIX',
    DisplayName         = _('Spitfire LF Mk. IX'),
    date_of_introduction = 1943.25,
    country_of_origin   = "UK",

--    HumanCockpit        = true,
--    HumanCockpitPath    = current_mod_path..'/Cockpit/',
    Picture             = "SpitfireLFMkIX.png",
    Rate                = 20, -- RewardPoint in Multiplayer -- TODO evaluate - Made Dragon
    Shape               = "SpitfireIXc",
    --XRayShape           = "SpitfireIXc_X-Ray",
    --propellorShapeType  = '3ARG',

    shape_table_data    = {
        {
            file        = 'SpitfireIXc';
            life        = 18; -- life bar -- TODO evaluate - Made Dragon
            vis         = 3; -- visibility gain -- TODO evaluate - Made Dragon
            desrt       = 'Bf-109K-4_oblomki'; -- Name of destroyed object file name
            fire        = {300, 2}; -- Fire on the ground after destroyed: 300sec 2m -- TODO evaluate - Made Dragon
            username    = 'SpitfireLFMkIX';
            index       = WSTYPE_PLACEHOLDER;
            classname   = "lLandPlane";
            positioning = "BYNORMAL";
            drawonmap = true;
        },
        {
            name = "Bf-109K-4_oblomki";
            file = "Bf-109K-4_oblomki";
            fire = {240, 2};
        },
    },

    mapclasskey = "P0091000024", -- ref. MissionEditor/data/NewMap/images/themes/nato/P91000024.png
    attribute   = {wsType_Air, wsType_Airplane, wsType_Fighter, WSTYPE_PLACEHOLDER, "Battleplanes",}, -- TODO ???
    Categories  = {"{78EFB7A2-FD52-4b57-A6A6-3BF0E1D6555F}", "Interceptor",}, -- TODO ???



    -----------------------------------------------------------------------------------------------



    M_empty         = 2800, -- kg -- TODO evaluate - Made Dragon
    M_nominal       = 3100, -- kg
    M_max           = 3400, -- kg
    M_fuel_max      = 296, -- kg
    H_max           = 13000, -- m -- TODO evaluate - Made Dragon
    average_fuel_consumption = 0.302, -- this is highly relative, but good estimates are 36-40l/min = 28-31kg/min = 0.47-0.52kg/s -- 45l/min = 35kg/min = 0.583kg/s -- TODO evaluate - Made Dragon
    CAS_min         = 56, -- if this is not OVERALL FLIGHT TIME, but just LOITER TIME, than it should be 10-15 minutes.....CAS capability in minute (for AI) -- TODO evaluate - Made Dragon
    V_opt           = 125,-- Cruise speed (for AI) -- TODO evaluate - Made Dragon
    V_take_off      = 53, -- Take off speed in m/s (for AI) -- TODO evaluate - Made Dragon
    V_land          = 50, -- Land speed in m/s (for AI) -- TODO evaluate - Made Dragon
    V_max_sea_level = 208, -- Max speed at sea level in m/s (for AI) -- TODO evaluate - Made Dragon
    V_max_h         = 230, -- Max speed at max altitude in m/s (for AI) -- TODO evaluate - Made Dragon
    Vy_max          = 22, -- Max climb speed in m/s (for AI) -- TODO evaluate - Made Dragon
    Mach_max        = 0.76, -- Max speed in Mach (for AI) -- TODO evaluate - Made Dragon
    Ny_min          = -4, -- Min G (for AI) -- TODO evaluate - Made Dragon
    Ny_max          = 8.0,  -- Max G (for AI) -- TODO evaluate - Made Dragon
    Ny_max_e        = 8.0,  -- Max G (for AI) -- TODO evaluate - Made Dragon
    AOA_take_off    = 0.157, -- AoA in take off (for AI) -- TODO evaluate - Made Dragon
    bank_angle_max  = 60, -- Max bank angle (for AI) -- TODO evaluate - Made Dragon

    has_afteburner  = false, -- AFB yes/no
    has_speedbrake  = false, -- Air brake yes/no
    has_differential_stabilizer = false, -- Differential stabilizers yes/no

    tand_gear_max   = 0.577, -- tang(a) <- a = steering angle -- TODO evaluate - Made Dragon

    nose_gear_pos                            = {-6.032, -0.526, 0.0}, -- Central gear coordinates
    nose_gear_amortizer_direct_stroke        = 0,
    nose_gear_amortizer_reversal_stroke      = -0.114,
    nose_gear_amortizer_normal_weight_stroke = -0.077,
    nose_gear_wheel_diameter                 = 0.350,

    main_gear_pos                            = {0.158, -1.805, 0.885}, -- Main gear coordinates
    main_gear_amortizer_direct_stroke        = 0,
    main_gear_amortizer_reversal_stroke      = -0.1372,
    main_gear_amortizer_normal_weight_stroke = -0.0533,
    main_gear_wheel_diameter                 = 0.660,

    tanker_type     = 0, -- Tanker type if the plane is air refuel capable
    wing_area       = 22.48, -- Wing area in m2
    wing_span       = 11.25, -- Wing span in metres
    wing_type       = 0, -- 0 = Fixed wing
                         -- 1 = Variable geometry
                         -- 2 = Fold-able wing
    thrust_sum_max  = 8224, -- Thrust in kg (44kN) -- TODO evaluate - Made Dragon
    thrust_sum_ab   = 8224, -- Thrust in kg (71kN) -- TODO evaluate - Made Dragon
    length          = 12.13, -- Full length in m -- TODO evaluate - Made Dragon
    height          = 4.77, -- Height in m -- TODO evaluate - Made Dragon
    flaps_maneuver  = 0.0, -- Max flaps in take-off and manoeuvre (0.5 = 1st stage; 1.0 = 2nd stage) (for AI)
    range           = 1015, -- Max range in km (for AI) -- TODO evaluate - Made Dragon
    RCS             = 2.5, -- Radar Cross Section m2 -- TODO evaluate - Made Dragon
    IR_emission_coeff = 0.1, -- Normal engine -- IR_emission_coeff = 1.0 @ Su-27 without afterburner. It is a reference value. -- TODO evaluate - Made Dragon
    IR_emission_coeff_ab = 0, -- Same with afterburner
    wing_tip_pos    = {0.237, -0.088, 5.6}, -- Wing tip coordinates for visual effects
    nose_gear_wheel_diameter = 0.319, -- in m -- TODO evaluate - Made Dragon
    main_gear_wheel_diameter = 0.683, -- in m -- TODO evaluate - Made Dragon
    brakeshute_name = 0, -- Landing - brake chute visual shape after separation
    is_tanker       = false, -- Tanker yes/no
    air_refuel_receptacle_pos = {0, 0, 0}, -- Refuelling receptacle coordinates

    engines_count = 1, -- Engines count
    engines_nozzles = {
        [1] = {
            pos                 = {1.97, -0.09,-0.56}, -- Nozzle coordinates -- TODO evaluate - Made Dragon
            elevation           = 0, -- AFB cone elevation -- TODO evaluate - Made Dragon
            diameter            = 0 * 0.1, -- AFB cone diameter -- TODO evaluate - Made Dragon
            exhaust_length_ab   = -3.0, -- Length in m -- TODO evaluate - Made Dragon
            exhaust_length_ab_K = 0.3, -- AB animation -- TODO evaluate - Made Dragon
            engine_number       = 1, -- Both to first engine -- TODO evaluate - Made Dragon
        }, -- end of [1]
        [2] = {
            pos                 = {1.97, -0.09, 0.56}, -- Nozzle coordinates -- TODO evaluate - Made Dragon
            elevation           = 0, -- AFB cone elevation -- TODO evaluate - Made Dragon
            diameter            = 0 * 0.1, -- AFB cone diameter -- TODO evaluate - Made Dragon
            exhaust_length_ab   = -3.0, -- Length in m -- TODO evaluate - Made Dragon
            exhaust_length_ab_K = 0.3, -- AB animation -- TODO evaluate - Made Dragon
            engine_number       = 1, -- Both to first engine -- TODO evaluate - Made Dragon
        }, -- end of [1]
    }, -- end of engines_nozzles

    crew_members = {
        [1] = {
            pilot_name          = "pilot_raf",
            ejection_seat_name  = 0,
            drop_canopy_name    = "SpitfireIXc_fonar",
            pos                 = {-0.902,  0.145, 0},
            canopy_pos          = {-1.203,  0.658, 0},
        }, -- end of [1]
    }, -- end of crew_members

    fires_pos = {
        [1] = {0.0, 0.5, 0.0},
        [2] = {-0.6, -0.3, 0.95},
        [3] = {-0.6, -0.3, -0.95},
        [4] = {-0.7, -0.25, 2.2},
        [5] = {-0.7, -0.25, -2.2},
        [6] = {-0.9, -0.18, 4.4},
        [7] = {-0.9, -0.18, -4.4},
        [8] = {1.7, -0.1, 0.1},
        [9] = {1.7, -0.1, -0.1},
        [10] = {0.2, 0.1, 0.1},
        [11] = {0.2, 0.1, -0.1},
    }, -- end of fires_pos

    -- Countermeasures
    SingleChargeTotal   = 0,
    CMDS_Incrementation = 0,
    ChaffDefault        = 0,
    ChaffChargeSize     = 0,
    FlareDefault        = 0,
    FlareChargeSize     = 0,
    CMDS_Edit           = false,
	mech_timing 		= {{0.0, 0.8},-- CANOPY_OPEN_TIMES -- TODO evaluate
						   {0.0, 1.4},-- CANOPY_CLOSE_TIMES
						  },


    net_animation = {
        151, -- side door
    },  


    -- Sensors
    detection_range_max     = 0,
    radar_can_see_ground    = false, -- This should be examined (what is this exactly?) ???
    CanopyGeometry = makeAirplaneCanopyGeometry(LOOK_BAD, LOOK_AVERAGE, LOOK_AVERAGE),
    Sensors = {
        OPTIC = "Merkury LLTV", -- For night goggles imitation
    },



	HumanRadio = {
		frequency = 124.0,
		editable = true,
		minFrequency = 100.000,
		maxFrequency = 156.000,
		modulation = MODULATION_AM
	},

    panelRadio = {
        [1] = {  
            name = _("SCR522"),
            range = {min = 100, max = 156},
            channels = {
                [1] = { name = _("ButtonA"), default = 105, modulation = _("AM"), connect = true},
                [2] = { name = _("ButtonB"), default = 124, modulation = _("AM")},
                [3] = { name = _("ButtonC"), default = 131, modulation = _("AM")},
                [4] = { name = _("ButtonD"), default = 139, modulation = _("AM")},
            }
        },
    },



    -- Guns
    Guns = {
        -- LH Hispano Mk. II
        HispanoMkII({
            muzzle_pos_connector = "Gun_point_CannonL",
            --muzzle_pos = {1.4, -0.4, -2.0},
            effect_arg_number = 350,
            --mixes = {{3, 1, 3, 2}},
            count = 120,
			azimuth_initial = -32/60, -- -26/60,
            elevation_initial = 0.0,
            supply_position = {-0.343, -0.490, -2.452},
            drop_cartridge = 204,
            ejector_pos_connector = "ejector_CannonL",
            ejector_dir           = {0, 5, 0},
            effects = {
                {name = "FireEffect", arg = 434, attenuation = 1.0, light_pos = {0.5, 0.5, 0.0} , light_time = 0.1},
                {name = "SmokeEffect"}
            }
        }),

        -- RH Hispano Mk. II
        HispanoMkII({
            muzzle_pos_connector = "Gun_point_CannonR",
            effect_arg_number = 432,
            --mixes = {{3, 1, 3, 2}},
            count = 120,
			azimuth_initial = 32/60, -- 26/60,
            elevation_initial = 0.0,
            supply_position = {-0.343, -0.490, 2.452},
            drop_cartridge = 204,
            ejector_pos_connector = "ejector_CannonR",
            ejector_dir           = {0, 5, 0},
            effects = {
                {name = "FireEffect", arg = 433, attenuation = 1.0, light_pos = {0.5, 0.5, 0.0} , light_time = 0.1},
                {name = "SmokeEffect"}
            }
        }),

        -- LH Inner Browning .303
        Browning303MkII({
            muzzle_pos_connector = "Gun_point_MachinegunL1",
            effect_arg_number = 433,
            mixes = {{8, 3, 3, 11, 3, 3, 13, 3, 3, 14}},
            count = 350,
            rates = {1100 - 40},
			azimuth_initial = -42/60, -- -36/60,
            elevation_initial = 0.0,
            supply_position = {-0.220, -0.368, -3.432},
            drop_cartridge = 204,
            ejector_pos_connector = "ejector_MachinegunL1",
            ejector_dir           = {0, 5, 0},
            effects = {
                {name = "FireEffect", arg = 435, attenuation = 1.0, light_pos = {0.5, 0.5, 0.0} , light_time = 0.1},
                {name = "SmokeEffect"},
                {name = "PortEffect", seal_arg = 328},
            }
        }),

        -- LH Outer Browning .303
        Browning303MkII({
            muzzle_pos_connector = "Gun_point_MachinegunL2",
            effect_arg_number = 434,
            mixes = {{3, 8, 3, 11, 3, 13, 3, 3, 14}},
            count = 350,
            rates = {1100 + 10},
			azimuth_initial = -54/60, -- -48/60,
            elevation_initial = 0.0,
            supply_position = {-0.392, -0.368, -3.432},
            drop_cartridge = 204,
            ejector_pos_connector = "ejector_MachinegunL2",
            ejector_dir           = {0, 5, 0},
            effects = {
                {name = "FireEffect", arg = 436, attenuation = 1.0, light_pos = {0.5, 0.5, 0.0} , light_time = 0.1},
                {name = "SmokeEffect"},
                {name = "PortEffect", seal_arg = 328},
            }
        }),

        -- RH Inner Browning .303
        Browning303MkII({
            muzzle_pos_connector = "Gun_point_MachinegunR1",
            effect_arg_number = 435,
            mixes = {{3, 3, 11, 8, 3, 3, 3, 3, 14, 13}},
            count = 350,
            rates = {1100 + 90},
			azimuth_initial = 42/60, -- 36/60,
            elevation_initial = 0.0,
            supply_position = {-0.220, -0.368, 3.432},
            drop_cartridge = 204,
            ejector_pos_connector = "ejector_MachinegunR1",
            ejector_dir           = {0, 5, 0},
            effects = {
                {name = "FireEffect", arg = 432, attenuation = 1.0, light_pos = {0.5, 0.5, 0.0} , light_time = 0.1},
                {name = "SmokeEffect"},
                {name = "PortEffect", seal_arg = 327},
            }
        }),

        -- RH Outer Browning .303
        Browning303MkII({
            muzzle_pos_connector = "Gun_point_MachinegunR2",
            effect_arg_number = 436,
            mixes = {{11, 3, 3, 8, 3, 13, 14}},
            count = 350,
            rates = {1100 - 70},
			azimuth_initial = 54/60, --48/60,
            elevation_initial = 0.0,
            supply_position = {-0.392, -0.368, 3.432},
            drop_cartridge = 204,
            ejector_pos_connector = "ejector_MachinegunR2",
            ejector_dir           = {0, 5, 0},
            effects = {
                {name = "FireEffect", arg = 350, attenuation = 1.0, light_pos = {0.5, 0.5, 0.0} , light_time = 0.1},
                {name = "SmokeEffect"},
                {name = "PortEffect", seal_arg = 327},
            }
        }),
    },

    Pylons = {
--[[		pylon(1, 0, 0, 0, 0, {use_full_connector_position=true,connector = "Pylon1",arg = 308 },
		{
			{ CLSID = "SC_501_SC500", arg_value = 0.25 },
--			{ CLSID = "SC_501_SD500" },
--			{ CLSID = "SC_501_SD250" },
			{ CLSID = "SC_501_SC250", arg_value = 0.25  },
--			{ CLSID = "ER_4_SC50" , arg_value = 0.25 },
			{ CLSID = "BF109K_4_FUEL_TANK",connector = "Pylon1_FuelTank",arg_value = 0.15},
		}),		]]--
    },



    -- Tasks
    Tasks = {
        aircraft_task(CAP),
        aircraft_task(Escort),
        aircraft_task(Intercept),
        aircraft_task(FighterSweep),
        aircraft_task(GroundAttack),
        aircraft_task(CAS),
        aircraft_task(AFAC),
        aircraft_task(RunwayAttack),
        aircraft_task(AntishipStrike),
    },
    DefaultTask = aircraft_task(CAP),



    -- SFM Data
    SFM_Data = {
        aerodynamics = { -- Cx = Cx_0 + Cy^2*B2 +Cy^4*B4
            Cy0         = 0.1, -- zero AoA lift coefficient
            Mzalfa      = 4.355, -- coefficients for pitch agility
            Mzalfadt    = 0.8, -- coefficients for pitch agility
            kjx         = 2.25,
            kjz         = 0.00125,
            Czbe        = -0.016, -- coefficient, along Z axis (perpendicular), affects yaw, negative value means force orientation in FC coordinate system
            cx_gear     = 0.0277, -- coefficient, drag, gear
            cx_flap     = 0.095, -- coefficient, drag, full flaps
            cy_flap     = 0.45, -- coefficient, normal force, lift, flaps
            cx_brk      = 0.06, -- coefficient, drag, breaks
            table_data  = 
			{	--      M		Cx0		 	Cya			B		B4	   	Omxmax	Aldop		Cymax
					{	0.0,	0.0242,	0.0780,		0.0634,		0.0,	0.15,	20.0,		1.58,	},
					{	0.2,	0.0242,	0.0780,		0.0634,		0.0,	1.606,	20.0,		1.58,	},
					{	0.342,	0.0245,	0.0787,		0.061,		0.017,	2.353,	18.0,		1.3,	},
					{	0.5,	0.0263,	0.0770,		0.057,		0.025,	1.145,	16.0,		0.95,	},
					{	0.59,	0.0268,	0.0768,		0.0514,		0.026,	0.761,	15.0,		0.75,	},
					{	0.67,	0.0331,	0.0784,		0.047,		0.021,	0.384,	14.5,		0.62,	},
					{	0.74,	0.0465,	0.0848,		0.08,		0.16,	0.206,	10.0,	  	0.46,	},
					{	0.76,	0.0527,	0.0813,		0.1,		0.25,	0.133,	9.0,  		0.42,	},
					{	0.8,	0.0737,	0.0695,		0.2,		0.36,	0.077,	6.0,		0.38,	},
					{	0.83,	0.1006,	0.0993,		0.34,		2.4,	0.063,	4.5,		0.3,	},
					{	0.9,	0.1470,	0.073,		0.56,		3.0,	0.042,	3.0,		0.2,	},
				}, -- end of table_data
			-- M - Mach number
			-- Cx0 - Coefficient, drag, profile, of the airplane
			-- Cya - Normal force coefficient of the wing and body of the aircraft in the normal direction to that of flight. Inversely proportional to the available G-loading at any Mach value. (lower the Cya value, higher G available) per 1 degree AOA
			-- B - Polar quad coeff
			-- B4 - Polar 4th power coeff
			-- Omxmax - roll rate, rad/s
			-- Aldop - Alfadop Max AOA at current M - departure threshold
			-- Cymax - Coefficient, lift, maximum possible (ignores other calculations if current Cy > Cymax)
        }, -- end of aerodynamics
        engine = {
            Nmg     = 20.5, -- RPM at idle
            MinRUD  = 0, -- Min state of the throttle
            MaxRUD  = 1, -- Max state of the throttle
            MaksRUD = 1, -- Military power state of the throttle
            ForsRUD = 1, -- Afterburner state of the throttle
            typeng  = 2, --PISTON ENGINE
			--[[
				E_TURBOJET = 0
				E_TURBOJET_AB = 1
				E_PISTON = 2
				E_TURBOPROP = 3
				E_TURBOFAN				= 4
				E_TURBOSHAFT = 5
			--]]
			
            hMaxEng = 12.5, -- Max altitude for safe engine operation in km
            dcx_eng = 0.015, -- Engine drag coeficient
            cemax   = 0.37, -- not used for fuel calulation , only for AI routines to check flight time ( fuel calculation algorithm is built in )
            cefor   = 0.37, -- not used for fuel calulation , only for AI routines to check flight time ( fuel calculation algorithm is built in )
            dpdh_m  = 1800, -- altitude coefficient for max thrust
            dpdh_f  = 1800, -- altitude coefficient for AB thrust

            k_adiab_1           = 0.037923,
            k_adiab_2			= 0.0562,
            MAX_Manifold_P_1	= 180000,		
            MAX_Manifold_P_2	= 180000,		
            MAX_Manifold_P_3	= 180000,		
            k_after_cool		= 0.0,
            Displ				= 35,
            k_Eps				= 6.5,
            Stroke				= 0.165,
            V_pist_0			= 13,
            Nu_0				= 1.2,
            Nu_1				= 0.9,
            Nu_2				= 0.001,
            N_indic_0			= 1052480,
            N_fr_0				= 0.04,
            N_fr_1				= 0.001,
			Init_Mom			= 220,
			D_prop				= 3.5,
			MOI_prop			= 45,
			k_gearbox			= 2.4,
			P_oil				= 495438,
			k_boost				= 3,
			k_cfug				= 0.003,
			k_oil				= 0.00004,
			k_piston			= 3000,
			k_reg				= 0.003,
			k_vel				= 0.017,
			table_data = 
			{
			--   M			Pmax
				{0.0,		16620.0},
				{0.1,		15600.0},
				{0.2,		14340.0},
				{0.3,		13320.0},
				{0.4,		12230.0},
				{0.5,		11300.0},
				{0.6,		10600.0},
				{0.7,		10050.0},
				{0.8,		 9820.0},
				{0.9,		 5902.0},
				{1.9,		 3469.0}
			}
			-- M - Mach number
			-- Pmax - Engine thrust at military power
			-- Pfor - Engine thrust at AFB
		}, -- end of engine
	},



    -- Damage, index meaning see in Scripts\Aircrafts\_Common\Damage.lua
    Damage = verbose_to_dmg_properties({
        -- Fuselage
        ["COCKPIT"]             = {critical_damage = 1, args = {189}},
        ["CABIN_LEFT_SIDE"]     = {critical_damage = 2, args = {189}},
        ["CABIN_RIGHT_SIDE"]    = {critical_damage = 2, args = {153}},
        --

        -- Nose
        ["NOSE_BOTTOM"]         = {critical_damage = 3, args = {148}},
        ["NOSE_LEFT_SIDE"]      = {critical_damage = 3, args = {150}},
        ["NOSE_RIGHT_SIDE"]     = {critical_damage = 3, args = {149}},
        ["NOSE_CENTER"]         = {critical_damage = 3, args = {147}},
        ["ROTOR"]               = {critical_damage = 5, args = {146}, deps_cells = {"BLADE_1_IN", "BLADE_2_IN", "BLADE_3_IN"}},
        ["BLADE_1_IN"]      = {critical_damage = 3, args = {429}},
        ["BLADE_2_IN"]      = {critical_damage = 3, args = {430}},
        ["BLADE_3_IN"]      = {critical_damage = 3, args = {431}},
        --

        -- Tail & Sporn
        ["FUSELAGE_LEFT_SIDE"]  = {critical_damage = 3, args = {158}, droppable = false},
        ["FUSELAGE_RIGHT_SIDE"] = {critical_damage = 3, args = {157}, droppable = false},
        ["FUSELAGE_BOTTOM"]     = {critical_damage = 3, args = {152}, droppable = false},
        --[[["TAIL_BOTTOM"]         = {critical_damage = 3, args = {159},deps_cells = {"KIL_L", "STABILIZER_L_IN", "STABILIZER_R_IN"
        ,"STABILIZER_L_OUT", "ELEVATOR_L_IN", "STABILIZER_R_OUT", "ELEVATOR_R_IN", "FIN_L_TOP", "RUDDER" -- TODO: remove w/ X-Ray - Made Dragon
        }
        },
        ["TAIL_LEFT_SIDE"]      = {critical_damage = 3, args = {159},deps_cells = {"KIL_L", "STABILIZER_L_IN", "STABILIZER_R_IN"
        ,"STABILIZER_L_OUT", "ELEVATOR_L_IN", "STABILIZER_R_OUT", "ELEVATOR_R_IN", "FIN_L_TOP", "RUDDER" -- TODO: remove w/ X-Ray - Made Dragon
        }
        },
        ["TAIL_RIGHT_SIDE"]     = {critical_damage = 3, args = {159},deps_cells = {"KIL_L", "STABILIZER_L_IN", "STABILIZER_R_IN"
        ,"STABILIZER_L_OUT", "ELEVATOR_L_IN", "STABILIZER_R_OUT", "ELEVATOR_R_IN", "FIN_L_TOP", "RUDDER" -- TODO: remove w/ X-Ray - Made Dragon
        }
        },
        --["TAIL"]                = {critical_damage = 3, args = {155}, deps_cells = {"KIL_L", "WHEEL_R"}},
        	]]--	
		["TAIL"]				= {critical_damage = 3, args = {159}, deps_cells = {"KIL_L", "STABILIZER_L_IN", "STABILIZER_R_IN"
        ,"STABILIZER_L_OUT", "ELEVATOR_L_IN", "STABILIZER_R_OUT", "ELEVATOR_R_IN", "FIN_L_TOP", "RUDDER" -- TODO: remove w/ X-Ray - Made Dragon
        }},
		--

        -- Keel & Rudder
        ["KIL_L"]               = {critical_damage = 2, args = {243}, deps_cells = {"FIN_L_TOP"}},
        ["FIN_L_TOP"]           = {critical_damage = 2, args = {242}, deps_cells = {"RUDDER"}},
        ["RUDDER"]              = {critical_damage = 1, args = {247}, detachable = {}},
        --

        -- Stabilizers & Elevators
        ["STABILIZER_L_IN"] = {
            critical_damage = 2,
            args = {236},
            children = {"STABILIZER_L_OUT"
            , "ELEVATOR_L_IN" -- TODO: remove w/ X-Ray - Made Dragon
            },
            construction = {durability = 1.0, skin = "Aluminum", spar = "FlangeBeam"},
            innards = {
                {id = "xFuelTank02", specific = "SoftRubber", skin = "Rubber", wall = 0.007, failures = {{"ELEC_BOOSTER_FUEL_PUMP_FAILURE", 0.09}, {"ELEC_BOOSTER_FUEL_PUMP_COIL_FAILURE", 0.12}}, AIfailures = {{"Auto", 0.125}}},
                {id = "xSparLLTG", skin = "CastIron", wall = 0.003},
            },
            detachable = {shape = "SpitfireIXc_oblomok_tail"},
        },
        ["STABILIZER_L_OUT"]    = {critical_damage = 2, args = {235}, deps_cells = {"ELEVATOR_L_IN"}},
        ["ELEVATOR_L_IN"]       = {critical_damage = 1, args = {240}},
        ["STABILIZER_R_IN"]     = {critical_damage = 2, args = {234}, deps_cells = {"STABILIZER_R_OUT"
        , "ELEVATOR_R_IN" -- TODO: remove w/ X-Ray - Made Dragon
        }},
        ["STABILIZER_R_OUT"]    = {critical_damage = 2, args = {233}, deps_cells = {"ELEVATOR_R_IN"}},
        ["ELEVATOR_R_IN"]       = {critical_damage = 1, args = {238}},
        --

        -- Left Wing
        ["WING_L_IN"]           = {critical_damage = 7, args = {225}, deps_cells = {"WING_L_CENTER", "FLAP_L_IN", "PYLONL", "FLAP_L_OUT", "STOIKA_L"
        ,"WING_L_OUT", "ELERON_L" -- TODO: remove w/ X-Ray - Made Dragon
        }},
        ["WING_L_CENTER"]       = {critical_damage = 7, args = {224}, deps_cells = {"WING_L_OUT"
        ,"ELERON_L" -- TODO: remove w/ X-Ray - Made Dragon
        }},
        ["WING_L_OUT"]          = {critical_damage = 6, args = {223}, deps_cells = {"ELERON_L"}},
        ["ELERON_L"]            = {critical_damage = 1, args = {226}},
        ["FLAP_L_IN"]           = {critical_damage = 2, args = {227}},
        ["PYLONL"]              = {critical_damage = 2, args = {228}},
        ["FLAP_L_OUT"]          = {critical_damage = 2, args = {229}},
        --

        -- Right Wing
        ["WING_R_IN"]           = {critical_damage = 7, args = {215}, deps_cells = {"WING_R_CENTER", "FLAP_R_IN", "PYLONR", "FLAP_R_OUT", "STOIKA_R"
        ,"WING_R_OUT", "ELERON_R" -- TODO: remove w/ X-Ray - Made Dragon
        }},
        ["WING_R_CENTER"]       = {critical_damage = 7, args = {214}, deps_cells = {"WING_R_OUT"
        ,"ELERON_R" -- TODO: remove w/ X-Ray - Made Dragon
        }},
        ["WING_R_OUT"]          = {critical_damage = 6, args = {213}, deps_cells = {"ELERON_R"}},
        ["ELERON_R"]            = {critical_damage = 1, args = {216}},
        ["FLAP_R_IN"]           = {critical_damage = 2, args = {217}},
        ["PYLONR"]              = {critical_damage = 2, args = {218}},
        ["FLAP_R_OUT"]          = {critical_damage = 2, args = {219}},
        --

        -- Undercarriage
        ["WHEEL_R"]             = {critical_damage = 2, args = {136}},
        ["STOIKA_L"]            = {critical_damage = 3, args = {134}},
        ["STOIKA_R"]            = {critical_damage = 3, args = {135}},
        --
    }),

    DamageParts = {
        [1] = "SpitfireIXc_oblomok_wing_r", -- wing R
        [2] = "SpitfireIXc_oblomok_wing_l", -- wing L
        --[3] = "", -- nose
        [4] = "SpitfireIXc_oblomok_tail", -- tail
    },



    --[[AddPropAircraft = {
        { id = 'MW50TankContents', control = 'comboList', label = _('MW / Fuel Tank Contents'), defValue = 1,
            values = {
                { id = 0, dispName = _("Empty")},
                { id = 1, dispName = _("MW50 Mix")},
                { id = 2, dispName = _("B-4 Gasoline")}
            },},
		{ id = 'Flare_Gun', control = 'comboList', label = _('Flare Gun Port'), defValue = 1,
            values = {
                { id = 0, dispName = _("None")},
                { id = 1, dispName = _("Flare Gun")}                
            },},
    },]]--



    Failures = {
        { id = 'CTRL_AILERON_ROD_DESTROYED',            label = _('Aileron control failure'),                           enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'CTRL_AILERON_ROD_MAJOR_DAMAGE',         label = _('Aileron control crippled'),                          enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'CTRL_AILERON_ROD_MINOR_DAMAGE',         label = _('Aileron control damaged'),                           enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'CTRL_ELEVATOR_ROD_DESTROYED',           label = _('Elevator control failure'),                          enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'CTRL_ELEVATOR_ROD_MAJOR_DAMAGE',        label = _('Elevator control crippled'),                         enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'CTRL_ELEVATOR_ROD_MINOR_DAMAGE',        label = _('Elevator control damaged'),                          enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'CTRL_ELEVATOR_TRIM_FAILURE',            label = _('Trim drive failure'),                                enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'CTRL_RUDDER_ROD_DESTROYED',             label = _('Rudder control failure'),                            enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'CTRL_RUDDER_ROD_MAJOR_DAMAGE',          label = _('Rudder control crippled'),                           enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'CTRL_RUDDER_ROD_MINOR_DAMAGE',          label = _('Rudder control damaged'),                            enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },

        { id = 'ELEC_BATTERY_OVERHEAT',                 label = _('Battery overheated'),                                enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'ELEC_BATTERY_DESTROYED',                label = _('Battery failure'),                                   enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'ELEC_GENERATOR_FAILURE',                label = _('Generator failure'),                                 enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'ELEC_BOOSTER_FUEL_PUMP_FAILURE',        label = _('Booster pump failure'),                              enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'ELEC_BOOSTER_FUEL_PUMP_COIL_FAILURE',   label = _('Booster pump electrical malfunction'),               enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'ELEC_UC_LAMP_CU_BULB_FAILURE',          label = _('Undercarriage indicator Up light bulb broken'),      enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'ELEC_UC_LAMP_CD_BULB_FAILURE',          label = _('Undercarriage indicator Down light bulb broken'),    enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'ELEC_PITOT_HEAT_WIRING',                label = _('Pitot heating wire broken'),                         enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'ELEC_PITOT_HEAT_ELEMENT',               label = _('Pitot heating element burned out'),                  enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'ELEC_RETICLE_BULB_FAILURE',             label = _('Reticle bulb broken'),                               enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'ELEC_SUPERCHARGER_BULB_FAILURE',        label = _('Supercharger indicator bulb broken'),                enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'ELEC_SUPERCHARGER_SOLENOID_FAILURE',    label = _('Supercharger solenoid failure'),                     enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'ELEC_STARTER_LOOM_SEVERED',             label = _('Starter control wire broken'),                       enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'ELEC_STARTER_SOLENOID_FAILURE',         label = _('Starter solenoid failure'),                          enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'ELEC_STARTER_RELAY_FAILURE',            label = _('Starter relay failure'),                             enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },

        { id = 'FUEL_MAIN_FUEL_PUMP_FAILURE',           label = _('Motor fuel pump failure'),                           enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'FUEL_MAIN_FUEL_PUMP_DEGRADED',          label = _('Motor fuel pump crippled'),                          enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'FUEL_BOOSTER_FUEL_PUMP_DEGRADED',       label = _('Booster pump mechanical malfunction'),               enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'FUEL_DROPTANK_LINE_SEVERED',            label = _('Drop tank hose severed'),                            enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'FUEL_MAIN_TANK_MINOR_LEAK',             label = _('Fuel tank minor leak'),                              enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'FUEL_MAIN_TANK_MAJOR_LEAK',             label = _('Fuel tank leak'),                                    enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },

        { id = 'HYDR_PUMP_FAILURE',                     label = _('Hydraulic pump failure'),                            enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },

        { id = 'INST_VARIOMETR_DEPRESSURIZATION',       label = _('Variometer depressurization'),                       enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'INST_VARIOMETER_CLOGGED',               label = _('Variometer hose clogged'),                           enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'INST_SPEEDOMETER_DEPRESSURIZATION',     label = _('Speedometer depressurization'),                      enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'INST_PITOT_DAMAGE',                     label = _('Pitot damaged'),                                     enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'INST_TACH0_LOOM_SEVERED',               label = _('Tachometer circuit failure'),                        enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'INST_TACH0_POOR_CONNECTION',            label = _('Tachometer poor connection'),                        enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'INST_TACH0_RESISTANCE_MISMATCH',        label = _('Tachometer indicator adjustment fault'),             enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },

        { id = 'OXYN_PRIMARY_CONTAINER_PERFORATED',     label = _('Oxygen cylinder perforated'),                        enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'OXYN_PRIMARY_CONTAINER_MINOR_LEAK',     label = _('Oxygen cylinder minor leak'),                        enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },

        { id = 'PNEM_COMPRESSOR_FAILURE',               label = _('Pneumatic air compressor failure'),                  enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'PNEM_PRIMARY_CONTAINER_PERFORATED',     label = _('Primary air cylinder perforated'),                   enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'PNEM_SECONDARY_CONTAINER_PERFORATED',   label = _('Secondary air cylinder perforated'),                 enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'PNEM_ENGINE_HOSE_PERFORATED',           label = _('Master air hose perforated'),                        enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'PNEM_SUPERCHARGER_JACK_JAMMED',         label = _('Supercharger ram jammed'),                           enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'PNEM_RADIATOR_JACK_FAILURE',            label = _('Radiator jack failure'),                             enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'PNEM_LOW_PRS_JUNCTION_BOX_DESTROYED',   label = _('Air low pressure junction box destroyed'),           enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'PNEM_FLAPS_HOSE_PERFORATED',            label = _('Flaps hose perforated'),                             enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'PNEM_LH_FLAP_JACK_BUSTED',              label = _('Left flap jack busted'),                             enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'PNEM_RH_FLAP_JACK_BUSTED',              label = _('Right flap jack busted'),                            enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'PNEM_MACHINE_GUNS_HOSE_PERFORATED',     label = _('Machine guns control hose perforated'),              enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'PNEM_CANNONS_HOSE_PERFORATED',          label = _('Cannons control hose perforated'),                   enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'PNEM_BRAKE_RELAY_MALFUNCTION',          label = _('Brake relay valve malfunction'),                     enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'PNEM_BRAKE_RELAY_FAILURE',              label = _('Brake relay valve failure'),                         enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'PNEM_LH_BRAKE_HOSE_PERFORATED',         label = _('Left wheel brake hose perforated'),                  enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'PNEM_RH_BRAKE_HOSE_PERFORATED',         label = _('Right wheel brake hose perforated'),                 enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },

        { id = 'ENG0_JAMMED',                           label = _('Engine destroyed'),                                  enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'ENG0_MAGNETO0',                         label = _('Magneto No. 1 failure'),                             enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'ENG0_MAGNETO1',                         label = _('Magneto No. 2 failure'),                             enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'ENG0_GOVERNOR_MALFUNCTION',             label = _('Propeller governor malfunction'),                    enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'ENG0_GOVERNOR_FAILURE',                 label = _('Propeller governor failure'),                        enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'ENG0_GOVERNOR_REGULATOR_MALFUNCTION',   label = _('Propeller governor regulator failure'),              enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'ENG0_STARTER_CLUTCH_FAILURE',           label = _('Starter clutch failure'),                            enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'ENG0_STARTER_MOTOR_FAILURE',            label = _('Starter motor failure'),                             enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'ENG0_BOOST_REGULATOR_MALFUNCTION',      label = _('Boost regulator malfunction'),                       enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'ENG0_WATERRADIATOR0_PIERCED',           label = _('Port water radiator pierced'),                       enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'ENG0_WATERRADIATOR1_PIERCED',           label = _('Starboard water radiator pierced'),                  enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
        { id = 'ENG0_OILRADIATOR0_PIERCED',             label = _('Oil radiator pierced'),                              enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },




--[[		{ id = 'ELEC_BATTERY_OVERHEAT',	  	  			label = _('Battery overheated'),								enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'ELEC_FUEL_PUMP_P1_FAILURE',	  			label = _('Booster pump P1 failure'),							enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'ELEC_FUEL_PUMP_P1_COIL_FAILURE',		label = _('Booster pump P1 electrical malfunction'),			enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'ELEC_FUEL_PUMP_P2_FAILURE',				label = _('Booster pump P2 failure'),							enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'ELEC_FUEL_PUMP_P2_COIL_FAILURE',		label = _('Booster pump P2 electrical malfunction'),			enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'ELEC_DASHBOARD_HARNESS_CUT',			label = _('Instrument panel harness severed'),					enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'ELEC_MASTER_COMPASS_HARNESS_CUT',		label = _('Master compass harness severed'),					enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'ELEC_UC_LAMP_LHD_BULB_FAILURE',			label = _('LH undercarriage indicator light bulb broken'),		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'ELEC_UC_LAMP_RHD_BULB_FAILURE',			label = _('RH undercarriage indicator light bulb broken'),		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'ELEC_UMFORMER_FAILURE',					label = _('Artificial horizon umformer failure'),				enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },

		 
	
		{ id = 'VHF_CRYSTAL',	  	  					label = _('Radio. Crystal or tube failure'),					enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'VHF_SHORTED_CTL_BOX',	  	  			label = _('Radio. Shorted control box'),						enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'VHF_VT_BURNED_OUT',	  	  				label = _('Radio. Receiver burned out'),						enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'VHF_SQUELCH_RELAY',	  	  				label = _('Radio. Squelch relay not working'),					enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'AFN2_DAMAGE',	  	  					label = _('Radio. AFN2 not working'),							enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		
		{ id = 'HORIZON_BAR_NOT_SETTLE',	  	  		label = _('Artificial Horizon'),								enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'COMPASS_NO_TORQUE',	  					label = _('Remote Compass. No torque'),							enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'COMPASS_ERRATIC_OPERATION',	  			label = _('Remote Compass. Erratic operation'),					enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'COMPASS_POINTER_PULLS',	  				label = _('Remote Compass. Pointer pulls'),						enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'COMPASS_ERRATIC_INDIACATON',			label = _('Remote Compass. Loose pointer'),						enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		
		{ id = 'INST_VARIOMETR_DEPRESSURIZATION',		label = _('Variometer depressurization'),						enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'INST_SPEEDOMETER_DEPRESSURIZATION',		label = _('Speedometer depressurization'),						enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		{ id = 'INST_PITOT_DAMAGE',						label = _('Pitot damaged'),										enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
		
		]]--
    },



    lights_data = {
        typename = "collection",
        lights = {
            [WOLALIGHT_STROBES] = {typename = "collection", lights = {}},
            [WOLALIGHT_SPOTS] = {typename = "collection", lights = {}},
            [WOLALIGHT_NAVLIGHTS] = {
                typename = "collection",
                lights = {
                    {
                        -- Left Position Light (RED)
                        typename = "omnilight",
                        connector = "BANO_LeftWing",
                        color = {0.99, 0.11, 0.3},
                        pos_correction = {0.0, 0.0, -0.2},
                        argument = 190
                    },
                    {
                        -- Right Position Light (GREEN)
                        typename = "omnilight",
                        connector = "BANO_RightWing",
                        color = {0.0, 0.894, 0.6},
                        pos_correction = {0.0, 0.0, 0.2},
                        argument = 191
                    },
                    {
                        -- Tail Position Light (WHITE)
                        typename = "omnilight",
                        connector = "BANO_Tail",
                        color = {0.92, 0.92, 0.92},
                        pos_correction = {0.0, 0.0, 0.2},
                        argument = 192
                    }
                }
            },
            [WOLALIGHT_FORMATION_LIGHTS] = {typename = "collection", lights = {}},
            [WOLALIGHT_TIPS_LIGHTS] = {
                typename = "collection",
                lights = {
                    {
                        -- Upward ID Light
                        typename = "spotlight",
                        connector = "BANO_Top",
                        argument = 193,
                        dir_correction = {azimuth = math.rad(90.0)}
                    },
                    {
                        -- Downward ID Light
                        typename = "spotlight",
                        connector = "BANO_Bottom",
                        argument = 194,
                        dir_correction = {azimuth = math.rad(-90.0)}
                    }
                }
            },
        }
    },



	ViewSettings = ViewSettings,
	SnapViews    = SnapViews,
	--Countries = {"Germany"},
}



-- Finalize
add_aircraft(SpitfireLFMkIX)
